﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_PLAN_SYN_BUSINESS') 
 CREATE TABLE T_CVP_PLAN_SYN_BUSINESS (
FID BIGINT DEFAULT 0 NOT NULL,
FPLANNUMBER BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);
/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/


/** 索引 index **/
/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CVP_PLAN_SYN_BUSINESS', 'T_CVP_PLAN_SYN_BUSINESS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVPA_PLAN_PLANNUMBER') CREATE INDEX IDX_CVPA_PLAN_PLANNUMBER ON T_CVP_PLAN_SYN_BUSINESS ( FPLANNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVPA_PLAN_ENTITYNUMBER') CREATE INDEX IDX_CVPA_PLAN_ENTITYNUMBER ON T_CVP_PLAN_SYN_BUSINESS ( FENTITYNUMBER );

/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/

 

