﻿/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_TDA_PLAN') 
 CREATE TABLE T_CVP_TDA_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ',
FDESCRIPTION NVARCHAR(255) DEFAULT ' ',
FBUSINESSOBJECT NVARCHAR(255) DEFAULT ' ',
FFIELD NVARCHAR(255) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFYDATE DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CVP_TDA_COMPARISON_TASK') 
 CREATE TABLE T_CVP_TDA_COMPARISON_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTASKID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLNAME NVARCHAR(255) DEFAULT ' ',
FORIGINALDOC NVARCHAR(255) DEFAULT ' ',
FBILLCOMPAREDOC NVARCHAR(255) DEFAULT ' ',
FBILLCREATERID BIGINT DEFAULT 0 NOT NULL,
FBILLCREATEDATE DATETIME,
FBILLENDDATE DATETIME,
FBILLSTATUS NVARCHAR(255) DEFAULT ' ',
FDIFNUMBER BIGINT DEFAULT 0 NOT NULL,
FBILLORIGINALDOCPATH NVARCHAR(255) DEFAULT ' ',
FBILLORIGINALIMAGESPATH NVARCHAR(255),
FBILLCOMPAREDOCPATH NVARCHAR(255) DEFAULT ' ',
FBILLCOMPAREIMAGESPATH NVARCHAR(255),
FBILLTDARESULT NCLOB DEFAULT ' '
);
/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_table.sql **/


/**index**/
/**Begin D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_CVP_TDA_PLAN', 'T_CVP_TDA_PLAN', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_TDA_PLAN_NUMBER') CREATE  CLUSTERED INDEX IDX_CVP_TDA_PLAN_NUMBER ON T_CVP_TDA_PLAN ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_TDA_PLAN_NAME') CREATE INDEX IDX_CVP_TDA_PLAN_NAME ON T_CVP_TDA_PLAN ( FNAME );


 EXEC P_ALTERPK 'PK_T_CVP_TDA_COMPARISON_TASK', 'T_CVP_TDA_COMPARISON_TASK', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CVP_TDA_COMPARISON_TASK') CREATE INDEX IDX_CVP_TDA_COMPARISON_TASK ON T_CVP_TDA_COMPARISON_TASK ( FBILLNO ,FBILLNAME );



/**End D:\work_word\PDM\PDM_UPGRADE\pdm1\CVP_constraint.sql **/

